#ifndef SETTINGSDIALOGIMAGESQUEUED_H
#define SETTINGSDIALOGIMAGESQUEUED_H
#include "buildDesktopImage.h"
// Bote de dialogue CSettingsDialogImagesQueued

class CSettingsDialogImagesQueued : public CPropertyPage
{
    DECLARE_DYNAMIC(CSettingsDialogImagesQueued)

public:
    CSettingsDialogImagesQueued();
    virtual ~CSettingsDialogImagesQueued();
    afx_msg void DrawPreview();
    CButton m_chkRandomize;     /* Randomize checkbox. */
    void ChangeWallpaper(int iMode);
    void ResetMainDialog();
    void ApplyChanges(BOOL bChangeWallpaper = TRUE);
    void translate();
    CListBox m_lbQList;         /* Queued image list box. */

    enum
    {
        IDD = IDD_SETTINGS_IMAGES_QUEUED
    };

protected:
    afx_msg void OnLbnSelchangeQlist();
    afx_msg void OnOK();
    virtual void DoDataExchange(CDataExchange* pDX);  // Prise en charge DDX/DDV
    afx_msg BOOL OnInitDialog();
    afx_msg BOOL OnEraseBkgnd(CDC* pDC);
    afx_msg void OnBnClickedQlistempty();
    afx_msg void OnCbnSelchangePosition();
    afx_msg void OnBnClickedAddFromUrl();
    afx_msg void OnBnClickedArrowup();
    afx_msg void OnBnClickedArrowdown();
    afx_msg void OnBnClickedRemoveselected();
    afx_msg void OnBnClickedSetCurrent();
    afx_msg void OnEnableApply();
    afx_msg void OnDeltaposSpin(NMHDR* pNMHDR, LRESULT* pResult);
    afx_msg BOOL OnSetActive();
    void FillQueuedImages();

    int iCurrentImage;
    IActiveDesktop* pIActiveDesktop;
    CBuildDesktopImage m_buildDesktopImage;
    CComboBox m_comboPosition;  /* How the wallpaper is displayed. */
    CStaticCtrl m_picPreview;   /* Preview window. */
    CStatic m_stWidth;          /* Width of the image in pixels. */
    CStatic m_stHeight;         /* Height of the image in pixels. */
    CStatic m_stType;           /* BitsPerPixel of the image. */
    CButton m_btnArrowUp;       /* Move image up button */
    CButton m_btnArrowDown;     /* Move image down button */
    CButton m_btnSetCurrent;
    INT m_nbRows;
    INT m_nbCols;
    CSpinButtonCtrl m_spin1;
    CSpinButtonCtrl m_spin2;
    BOOL m_autoAdd;
    CString m_cstrUrl;

    DECLARE_MESSAGE_MAP()
    public:
};
#endif
